#!/bin/bash

COURSE_FOLDER="example_17d_intro/17d_bolc/"
LESSON_PLANS_DIR="lesson_output"
LESSONS=()
#i'm not really a programmer i just reference stack overflow: https://stackoverflow.com/questions/1951506/add-a-new-element-to-an-array-without-specifying-the-index-in-bash

mkdir -p $LESSON_PLANS_DIR

find ${COURSE_FOLDER} -type f -name "lesson.json" | while read lesson; do
  lesson_folder="$(basename "$(dirname "${lesson}")")"
  module_folder="$(basename "$(dirname "$(dirname "${lesson}")../")")"
  FILENAME="${module_folder}.${lesson_folder}.adoc"
  echo Working: $FILENAME
  ./process_template.py --lp-template lp.template --output-file "${lesson}.adoc"
  cp "${lesson}.adoc" ${LESSON_PLANS_DIR}/${FILENAME}
  cp "*.adoc" ${LESSON_PLANS_DIR}/
  #  ./process_template.py --lp-template lp.template --output-file "${FILENAME}"
  LESSONS+=("${FILENAME}")
done
